{
  "name": "code-verifier-backend",
  "version": "1.0.0",
  "description": "Backend Node + Express + TS + Swagger",
  "main": "index.js",
  "scripts": {
    "swagger": "tsoa spec",
    "dev": "concurrently \"npx tsc --watch\" \"npm run swagger\" \"nodemon -q dist/index.js\"",
    "test": "jest",
    "serve:coverage": "npm run test && cd coverage/lcov-report && npx serve",
    "build": "npx webpack --mode development",
    "start": "node dist/index.js",
    "build:prod": "npx webpack --mode production"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/danielpinelli.fullstack/code-verifier-backend.git"
  },
  "keywords": [
    "node",
    "express",
    "typescript",
    "swagger",
    "mongoose"
  ],
  "author": "Daniel Pinelli",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/danielpinelli.fullstack/code-verifier-backend/issues"
  },
  "homepage": "https://gitlab.com/danielpinelli.fullstack/code-verifier-backend#readme",
  "dependencies": {
    "bcrypt": "^5.0.1",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.20.0",
    "cors": "^2.8.5",
    "dotenv": "^16.0.0",
    "express": "^4.17.3",
    "helmet": "^5.0.2",
    "jsonwebtoken": "^8.5.1",
    "mongoose": "^6.2.10",
    "swagger-jsdoc": "^6.2.0",
    "swagger-ui-express": "^4.3.0",
    "tsoa": "^3.14.1"
  },
  "devDependencies": {
    "@types/bcrypt": "^5.0.0",
    "@types/bcryptjs": "^2.4.2",
    "@types/body-parser": "^1.19.2",
    "@types/cors": "^2.8.12",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.4.1",
    "@types/jsonwebtoken": "^8.5.8",
    "@types/node": "^17.0.23",
    "@types/swagger-jsdoc": "^6.0.1",
    "@types/swagger-ui-express": "^4.1.3",
    "@typescript-eslint/eslint-plugin": "^5.17.0",
    "@typescript-eslint/parser": "^5.17.0",
    "concurrently": "^7.1.0",
    "eslint": "^7.32.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.25.4",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.2.0",
    "jest": "^27.5.1",
    "nodemon": "^2.0.15",
    "serve": "^13.0.2",
    "supertest": "^6.2.2",
    "ts-jest": "^27.1.4",
    "ts-loader": "^9.2.8",
    "ts-node": "^10.7.0",
    "typescript": "^4.6.3",
    "webpack": "^5.71.0",
    "webpack-cli": "^4.9.2",
    "webpack-node-externals": "^3.0.0",
    "webpack-shell-plugin": "^0.5.0"
  }

}
